<?php
/**
 * REST objects.
 *
 * @since   1.0.0
 * @package SAAI
 */

use SAAI\REST\Connect;
use SAAI\REST\Product_Questions_AI;
use SAAI\REST\Review_Summaries_AI;
use SAAI\REST\Product_Description_AI;
use SAAI\REST\WC_Admin;
use SAAI\REST\Product_Summaries_AI;
use SAAI\REST\Product_Tags_Generator_AI;
use SAAI\REST\Category_Description_AI;
use SAAI\REST\Notifications;
use SAAI\REST\Account;
use SAAI\REST\Chat\Chat;
use SAAI\REST\Chat\Chat_Tools;
use SAAI\REST\Chat\Chat_Store_Data;
use SAAI\REST\Chat\Chat_Widget_Settings;
use SAAI\REST\Chat\Chat_Post_Types;
use SAAI\REST\Tools;
use SAAI\REST\Image_Alt_Tags_AI_REST;
use SAAI\REST\Onboarding;
use SAAI\REST\Chat\Chat_Escalation;
use SAAI\REST\Chat\Chat_Feedback_Controller;
use SAAI\REST\Vendors_Product_Moderator_AI;
use SAAI\REST\Coupon_Generator_Storage;
use SAAI\REST\Coupon_Generator_AI;
use SAAI\REST\Coupon_Description_AI;
use SAAI\REST\Review_Moderation_AI;
use SAAI\REST\Product_Upsells_AI;

defined( 'ABSPATH' ) || exit;

return array(
    WC_Admin::instance(),
    Connect::instance(),
    Product_Questions_AI::instance(),
    Review_Summaries_AI::instance(),
    Product_Description_AI::instance(),
    Product_Summaries_AI::instance(),
    Product_Tags_Generator_AI::instance(),
    Category_Description_AI::instance(),
    Notifications::instance(),
    Account::instance(),
    Chat::instance(),
    Chat_Tools::instance(),
    Chat_Store_Data::instance(),
    Chat_Widget_Settings::instance(),
    Chat_Post_Types::instance(),
    Tools::instance(),
    Image_Alt_Tags_AI_REST::instance(),
    Onboarding::instance(),
    Chat_Escalation::instance(),
    Chat_Feedback_Controller::instance(),
    Vendors_Product_Moderator_AI::instance(),
    Coupon_Generator_Storage::instance(),
    Coupon_Generator_AI::instance(),
    Coupon_Description_AI::instance(),
    Review_Moderation_AI::instance(),
    Product_Upsells_AI::instance(),
);
